Subject: [oauth-ext-review] [IANA #1216704] Expert Review for draft-ietf-oauth-iss-auth-resp (oauth-parameters) (2)

From: "Amanda Baber via RT" <[email-masked]>
Date: Tue, 04 Jan 2022 01:57:55 +0000

Hi Hannes,

Have you had a chance to review the OAuth Parameters request in this document?

https://datatracker.ietf.org/doc/draft-ietf-oauth-iss-auth-resp/

thanks,

Amanda Baber
IANA Operations Manager

On Wed Nov 24 21:28:18 2021, amanda.baber wrote:
> Attn: Hannes (OAuth Parameters registry expert)
> 
> I'm resending a review request for a document that's listed on the
> next IESG telechat. Can you get to this before 12/2?
> 
> thanks,
> 
> Amanda Baber
> IANA Operations Manager
> 
> On Tue Nov 16 21:17:59 2021, michelle.cotton wrote:
> > Mailing List/Expert Review requested
> >
> > Attn: Hannes (OAuth Parameters registry expert)
> >
> > As the designated expert for the OAuth Parameters registry, can you
> > review the proposed registration in draft-oauth-iss-auth-resp for us?
> > Please see:
> >
> > https://datatracker.ietf.org/doc/draft-ietf-oauth-iss-auth-resp/
> >
> > A single, new registration is being requested:
> >
> > Name: iss
> > Parameter Usage Location: authorization response
> > Change Controller: IESG
> > Reference: [ RFC-to-be; Section 2 ]
> >
> > If this is request is OK, when the IESG approves the document for
> > publication, we'll make the registration at
> >
> > https://www.iana.org/assignments/oauth-parameters/
> >
> > The IESG has asked us to set a two-week deadline for registration
> > reviews. The due date for this request is 2021-11-30.
> >
> > Thank you,
> >
> > Michelle Cotton
> > IANA Services

---

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Tue, 4 Jan 2022 08:20:39 -0500

Hannes,

Can you please take a look at this request to allow us to make progress
with this document?

Thanks,
 Rifaat

On Mon, Jan 3, 2022 at 8:58 PM Amanda Baber via RT <
[email-masked]> wrote:

> _______________________________________________
> oauth-ext-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth-ext-review
>

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Fri, 07 Jan 2022 00:50:29 +0000

Hi Hannes,

Although the IESG has approved the document, we need expert approval in order to move forward with the registration, unless the ADs specifically tell us to move ahead without it. Can you approve the OAuth Parameter registration in this document?

thanks,
Amanda

---

From: Mike Jones <[email-masked]>
Date: Thu, 13 Jan 2022 02:29:23 +0000

Note that the requested OAuth parameter to be registered "iss" has already been registered by RFC 9101 (The OAuth 2.0 Authorization Framework: JWT-Secured Authorization Request (JAR)) for Parameter Usage Location "authorization request".  Fortunately, this use is compatible with that in draft-ietf-oauth-iss-auth-resp.

I would be OK with draft-ietf-oauth-iss-auth-resp also registering it for usage "authorization response", as proposed in the draft, but the original registration for use "authorization request" by RFC 9191 should remain.

				-- Mike

P.S.  No, I'm not a designated expert for this registry.  Hannes is the only DE currently appointed by the IESG.

-----Original Message-----
From: oauth-ext-review <[email-masked]> On Behalf Of Amanda Baber via RT
Sent: Thursday, January 6, 2022 4:50 PM
Cc: [email-masked]; Hannes Tschofenig <[email-masked]>; [email-masked]
Subject: [oauth-ext-review] [IANA #1216704] Expert Review for draft-ietf-oauth-iss-auth-resp (oauth-parameters) (2)

Hi Hannes,

thanks,
Amanda

On Tue Jan 04 13:21:14 2022, [email-masked] wrote:
> Hannes,
> 
> Can you please take a look at this request to allow us to make 
> progress with this document?
> 
> Thanks,
>  Rifaat
> 
> 
> > > > As the designated expert for the OAuth Parameters registry, can 
> > > > you review the proposed registration in draft-oauth-iss-auth-resp for us?
> > > > Please see:
> > > >
> > > > Parameter Usage Location: authorization response Change 
> > > > Controller: IESG
> > > > If this is request is OK, when the IESG approves the document 
> > > > for publication, we'll make the registration at
> > > >
> > > > The IESG has asked us to set a two-week deadline for 
> > > > registration reviews. The due date for this request is 2021-11-30.
> > > >
> > > > Thank you,
> > > >
> > > > Michelle Cotton
> > > > IANA Services
> >

---

From: Brian Campbell <[email-masked]>
Date: Thu, 13 Jan 2022 14:29:24 -0700

Indeed, I believe that is exactly what the registration request in the
draft asks to do
https://www.ietf.org/archive/id/draft-ietf-oauth-iss-auth-resp-05.html#name-oauth-parameters-registrati

5.2.  OAuth Parameters Registration

   This specification updates the "iss" entry in the IANA "OAuth
   Parameters" registry of [IANA.OAuth.Parameters] established by
   [RFC6749].

   Parameter name:  "iss"
   Parameter usage location:  authorization request, authorization
      response
   Change Controller:  IETF
   Specification Document(s):  Section 2 of [[ this document ]],
      [RFC9101], and Section 4.1.1 of [RFC7519].

On Wed, Jan 12, 2022 at 7:29 PM Mike Jones <Michael.Jones=
[email-masked]> wrote:

> Note that the requested OAuth parameter to be registered "iss" has already
> been registered by RFC 9101 (The OAuth 2.0 Authorization Framework:
> JWT-Secured Authorization Request (JAR)) for Parameter Usage Location
> "authorization request".  Fortunately, this use is compatible with that in
> draft-ietf-oauth-iss-auth-resp.
>
> I would be OK with draft-ietf-oauth-iss-auth-resp also registering it for
> usage "authorization response", as proposed in the draft, but the original
> registration for use "authorization request" by RFC 9191 should remain.
>
>                                 -- Mike
>
> Cc: [email-masked]; Hannes Tschofenig <
> [email-masked]>; [email-masked]
> Subject: [oauth-ext-review] [IANA #1216704] Expert Review for
> draft-ietf-oauth-iss-auth-resp (oauth-parameters) (2)
>
> Hi Hannes,
>
> Although the IESG has approved the document, we need expert approval in
> order to move forward with the registration, unless the ADs specifically
> tell us to move ahead without it. Can you approve the OAuth Parameter
> registration in this document?
>

-- 
_CONFIDENTIALITY NOTICE: This email may contain confidential and privileged 
material for the sole use of the intended recipient(s). Any review, use, 
distribution or disclosure by others is strictly prohibited.  If you have 
received this communication in error, please notify the sender immediately 
by e-mail and delete the message and any file attachments from your 
computer. Thank you._

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Fri, 14 Jan 2022 23:58:33 +0000

Hi Hannes,

As the designated expert for OAuth Parameters, can you sign off on this registration?

thanks,
Amanda

On Thu Jan 13 21:29:54 2022, [email-masked] wrote:
> > P.S.  No, I'm not a designated expert for this registry.  Hannes is
> > the
> > only DE currently appointed by the IESG.
> >
> > From: oauth-ext-review <[email-masked]> On Behalf
> > Of
> > Amanda Baber via RT
> > > > Have you had a chance to review the OAuth Parameters request in
> > > > this
> > > > document?
> > > >
> > > > > > you review the proposed registration in draft-oauth-iss-auth-
> > > > > > resp
> > for us?
> > > > > > Please see:
> > > > > >

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Mon, 24 Jan 2022 22:08:51 +0000

Hi Hannes,

thanks,
Amanda

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Mon, 24 Jan 2022 22:59:59 +0000

Hi Roman,

We've received a request to move ahead with this OAuth Parameter registration without approval from Hannes (see below). As the AD for this document, can you approve? 

The document: https://datatracker.ietf.org/doc/html/draft-ietf-oauth-iss-auth-resp

thanks,
Amanda

On Mon Jan 24 22:36:59 2022, [email-masked] wrote:
> Maybe we should come up with an alternative process that doesn't involve a
> single person sign-off. Is there a reason we need a "designated expert"?
> 
> Since no one on this thread has objected, I think it is fair to say, we
> don't need Hannes to sign-off. We should get this added.
> 
> Amanda, please complete the registration.
> 
> - Warren
> 
> Warren Parad
> 
> Founder, CTO
> Secure your user data with IAM authorization as a service. Implement
> Authress <https://authress.io/>.
> 
> 
> On Mon, Jan 24, 2022 at 11:09 PM Amanda Baber via RT <
> > OAuth mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/oauth
> >

---

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 26 Jan 2022 18:11:08 +0100

Hi Amanda,

I reviewed the draft and the IANA consideratoin section. The changes are good. I approve the question

Ciao

Hannes

PS: I would like to change my contact details from [email-masked] to [email-masked] because I irregularly check my GMX account these days. How do I do this?

Gesendet: Montag, 24. Januar 2022 um 23:59 Uhr

Von: "Amanda Baber via RT" <[email-masked]>

An: Kein Empfänger

Cc: [email-masked], [email-masked], [email-masked], [email-masked]

Betreff: [oauth-ext-review] [IANA #1216704] Expert Review for draft-ietf-oauth-iss-auth-resp (oauth-parameters) (2)

Hi Roman,

thanks,

Amanda

> > As the designated expert for OAuth Parameters, can you sign off on this

> > registration?

> > > https://www.ietf.org/archive/id/draft-ietf-oauth-iss-auth-resp-

> > > 05.html#name-oauth-parameters-registrati

> > > > Note that the requested OAuth parameter to be registered "iss" has

> > > > already

> > > > "authorization request". Fortunately, this use is compatible with

> > > > that in

> > > > I would be OK with draft-ietf-oauth-iss-auth-resp also registering it

> > > > for

> > > > usage "authorization response", as proposed in the draft, but the

> > > > original

> > > > registration for use "authorization request" by RFC 9191 should

> > > > remain.

> > > > Although the IESG has approved the document, we need expert approval

> > > > in

> > > > order to move forward with the registration, unless the ADs

> > > > specifically

> > > > > > > I'm resending a review request for a document that's listed on

> > > > > > > > As the designated expert for the OAuth Parameters registry,

> > > > > > > > can

> > > > > > > > https://datatracker.ietf.org/doc/draft-ietf-oauth-iss-auth-

> > > > > > > > resp/

> > > > > > > > registration reviews. The due date for this request is 2021-

> > > > > > > > 11-30.

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Wed, 26 Jan 2022 17:53:16 +0000

Hi Hannes,

> I reviewed the draft and the IANA consideratoin section. The changes
> are good.
> I approve the question

Thanks! We'll make the registration today.

> PS: I would like to change my contact details from
> [email-masked]
> to [email-masked] because I irregularly check my GMX
> account these
> days. How do I do this?

We actually don't have the gmx.net address in our expert directory -- we've been writing to [email-masked], the OAuth list, and [email-masked]. I'll send a separate message to the arm.com address to check whether there are any issues with receiving mail from our ticketing system.

thanks,
Amanda

> Cc: [email-masked], [email-masked],
> [email-masked],
> [email-masked]
> Betreff: [oauth-ext-review] [IANA #1216704] Expert Review for
> We've received a request to move ahead with this OAuth Parameter
> registration
> without approval from Hannes (see below). As the AD for this document,
> can you
> approve?
>